summaryrefslogtreecommitdiff
path: root/misc/cgo/testcdefs/test.bash
diff options
context:
space:
mode:
Diffstat (limited to 'misc/cgo/testcdefs/test.bash')
-rwxr-xr-xmisc/cgo/testcdefs/test.bash16
1 files changed, 16 insertions, 0 deletions
diff --git a/misc/cgo/testcdefs/test.bash b/misc/cgo/testcdefs/test.bash
new file mode 100755
index 000000000..1a14ad35c
--- /dev/null
+++ b/misc/cgo/testcdefs/test.bash
@@ -0,0 +1,16 @@
+# Copyright 2013 The Go Authors. All rights reserved.
+# Use of this source code is governed by a BSD-style
+# license that can be found in the LICENSE file.
+
+# Just add issue file prefixes to this list if more issues come up
+FILE_PREFIXES="cdefstest"
+
+for FP in $FILE_PREFIXES
+do
+ go tool cgo -cdefs ${FP}.go > ${FP}.h
+done
+
+go build . && ./testcdefs
+EXIT=$?
+rm -rf _obj main *.h
+exit $EXIT